Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.ntruprime
Class SNTRUPrimePrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.ntruprime.SNTRUPrimeKeyParameters
              org.bouncycastle.pqc.crypto.ntruprime.SNTRUPrimePrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class SNTRUPrimePrivateKeyParameters
extends SNTRUPrimeKeyParameters

Constructor Summary
`SNTRUPrimePrivateKeyParameters(SNTRUPrimeParameters params, byte[] f, byte[] ginv, byte[] pk, byte[] rho, byte[] hash)`

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getF()`
`byte[]` | `getGinv()`
`byte[]` | `getHash()`
`byte[]` | `getPk()`
`byte[]` | `getRho()`

Methods inherited from class org.bouncycastle.pqc.crypto.ntruprime.SNTRUPrimeKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SNTRUPrimePrivateKeyParameters

    public SNTRUPrimePrivateKeyParameters(SNTRUPrimeParameters params,
                                          byte[] f,
                                          byte[] ginv,
                                          byte[] pk,
                                          byte[] rho,
                                          byte[] hash)

Method Detail

### getF

    public byte[] getF()

### getGinv

    public byte[] getGinv()

### getPk

    public byte[] getPk()

### getRho

    public byte[] getRho()

### getHash

    public byte[] getHash()

### getEncoded

    public byte[] getEncoded()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD